Subject: [Sip] rfc2806: Escaping contents of telephone-url

From: "Brett Tate" <[email-masked]>
Date: Tue, 31 Jul 2001 16:11:58 -0400

The following paragraph from rfc2806 indicates 
to me that a "+", "=" and ";" would require 
escaping when used within a telephone-url.  
Am I understanding this correctly?  The SIP-URL 
allows "&", "=", "+", "$", ",", ";", "?", "/" 
for a telephone-subscriber.  Should any of these 
also be allowed unescaped in the telephone-url?

rfc2806: section 1.2 paragraph 2

Note on non-unreserved characters [RFC2396] 
in URLs: the ABNF in this document specifies 
strings of raw, unescaped characters. If 
those characters are present in a URL, and 
are not unreserved [RFC2396], they MUST be 
escaped as explained in [RFC2396] prior to 
using the URL.  In addition, when parsing a 
URL, it must be noted that some characters 
may have been escaped.

rfc2396: section 2.3

unreserved  = alphanum | mark
mark = "-" | "_" | "." | "!" | "~" | "*" 
       | "'" | "(" | ")"

If this isn't the appropriate working group
list, please let me know where I should post 
the question.

-brett

_______________________________________________
Sip mailing list  http://www.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: Chip Sharp <[email-masked]>
Date: Tue, 31 Jul 2001 16:21:42 -0400

Depends on how they are used.  These characters are defined as part of the 
syntax.  When used as such, they don't need to be escaped.
Section 2.6 of RFC2806 gives several examples.

Chip

---

From: "Brett Tate" <[email-masked]>
Date: Tue, 31 Jul 2001 18:10:04 -0400

> Section 2.6 of RFC2806 gives several examples.

Thanks for the response.

I agree in the concept of your answer.  
However rfc2806 does not specifically unreserved 
any characters for the syntax.  And it does not
mention them in section 1.2 paragraph 2 which
explicitly mentions to escape all that is
non-unreserved from rfc2396 even if unescaped
in ABNF.

Which characters have been reserved for the 
syntax or future-syntax?

Which characters within private-prefix, 
token-char, and quoted-string need to be 
escaped?